# @cubetiq/invoice-print

> Invoice Print 80mn using pdfmake

[![NPM](https://img.shields.io/npm/v/@cubetiq/invoice-print.svg)](https://www.npmjs.com/package/@cubetiq/invoice-print) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save @cubetiq/invoice-print
```

OR Using YARN
```bash
yarn add @cubetiq/invoice-print
```

## Usage

```tsx
import React from 'react'
import "invoice-print/dist/index.css"
import { useDoc } from 'invoice-print'
import { mockDataV2 } from './MockData'

const App = () => {
  const invoicePrint = useDoc(mockDataV2)
  return (
    <div>
      <button children={"Click Me"} onClick={()=> invoicePrint.print()}/>
    </div>
  )
}

export default App
```

### Contributors
Project's repository: [Library Invoice Print](https://git.cubetiqs.com/CUBETIQ/lib-invoice-print.git)
- [@chanthasuon](https://git.cubetiqs.com/chanthasuon)
- [@s.long](https://git.cubetiqs.com/s.long)
- [@sombochea](https://git.cubetiqs.com/sombochea)
- [@cubetiq](https://git.cubetiqs.com/CUBETIQ)

## License
@CUBETIQ

MIT © [Chantha Suon](https://git.cubetiqs.com/chanthasuon)
